Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 7 May 2020 00:51:45 +0200
From:      Tomasz CEDRO <tomek@cedro.info>
To:        Kyle Evans <kevans@freebsd.org>
Cc:        Christoph Kukulies <kuku@kukulies.org>, FreeBSD Mailing List <freebsd-questions@freebsd.org>
Subject:   Re: pkg-static update failed - FreeBSD.meta has wrong version 2
Message-ID:  <CAM8r67D5j1Emagp3D5srusP1AuG+qxC3JgsrdRWkjruV7kUaMg@mail.gmail.com>
In-Reply-To: <CACNAnaFkEZ4_Xb8zX498aWVxzHANAryUEfeKeUgxj0uSzigoEw@mail.gmail.com>
References:  <CA1991B5-2BD1-4BAA-BF12-B4915157F543@kukulies.org> <CACNAnaFkEZ4_Xb8zX498aWVxzHANAryUEfeKeUgxj0uSzigoEw@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Wed, May 6, 2020 at 3:03 PM Kyle Evans wrote:
> You need a `pkg bootstrap -f` to re-install pkg and fix this.

I also had this issue recently after upgrading one of my servers from
12.0 to 12.1. I did install pkg directly from a repository providing
full url to the package but this bootstrap seems to be very nice
shortcut.

Would that be possible to add this bootstrap hint after upgrade to pkg
help (bootstrap command is not in pkg help) and pkg man? That would
save some time and searching :-)

-- 
CeDeROM, SQ7MHZ, http://www.tomek.cedro.info



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CAM8r67D5j1Emagp3D5srusP1AuG+qxC3JgsrdRWkjruV7kUaMg>